#pragma once

#include <iosfwd>
#include <memory>
#include <string>
#include <functional>
#include <variant>
#include <iostream>

enum class MyError {
    kOk,
    kServerError
};

void testBoolean(bool success) {
    std::cout << success;
}

void testBooleanCallback(std::function<void(bool success)> callback) {
    callback(true);
}

class MyStream {
public:
    int id;
};

void testUniquePtrMyStreamCallback(std::function<void(std::unique_ptr<MyStream> stream)> callback) {
    std::cout << "testUniquePtrMyStreamCallback";
}


